# Test script for sending simple acid bassline to MIDI, needs unimidi gem

require 'rubygems'
require 'unimidi'

C = 36
E = 40

# Domino synth currently set to channel 0
def noteOn(output, note)
  output.puts(0x90, note, 100)
end

def noteOff(output, note)
  output.puts(0x80, note, 100)
end

# Diagnostic hack, just send all 16 channels for now.
def holdNote(note, time)
  16.times do |i|
    output.puts(0x90 + i, note, 127)
  end

  puts note
  sleep(time)

  16.times do |i|
    output.puts(0x80 + i, note, 100)
  end
end

$noteTime = 0.28

UniMIDI::Output.gets do |output|
  
  loop do
    holdNote(C, $noteTime)
    holdNote(C - 12, $noteTime)
    holdNote(C, $noteTime)
    holdNote(C + 12, $noteTime)
    holdNote(E, $noteTime)
    holdNote(E - 12, $noteTime)
    holdNote(E, $noteTime)
    holdNote(E + 12, $noteTime)
  end
end